## batctl 2024.4

=== debian/changelog ===
batctl (2024.4-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Sven Eckelmann <sven@narfation.org>  Mon, 16 Dec 2024 11:08:06 +0100

batctl (2024.4-1) unstable; urgency=medium

  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Tue, 10 Dec 2024 21:42:19 +0100

batctl (2024.3-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Sven Eckelmann <sven@narfation.org>  Sun, 20 Oct 2024 11:10:16 +0200

batctl (2024.2-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Sven Eckelmann <sven@narfation.org>  Sat, 29 Jun 2024 09:50:32 +0200

batctl (2024.1-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * debian/rules:
    - switch back to CPPFLAGS instead of not yet available abi=+lfs

 -- Sven Eckelmann <sven@narfation.org>  Thu, 18 Apr 2024 17:27:06 +0200

batctl (2024.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Sven Eckelmann <sven@narfation.org>  Sun, 03 Mar 2024 19:14:15 +0100
