## batctl 2025.0

=== debian/changelog ===
batctl (2025.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Sven Eckelmann <sven@narfation.org>  Wed, 12 Feb 2025 09:47:21 +0100

batctl (2025.0-1) unstable; urgency=medium

  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Fri, 07 Feb 2025 11:19:42 +0100
