## batctl 2025.2

=== debian/changelog ===
batctl (2025.2-1) experimental; urgency=medium

  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Thu, 19 Jun 2025 00:05:20 +0200

batctl (2025.1-1) experimental; urgency=medium

  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Mon, 21 Apr 2025 17:18:48 +0200

batctl (2025.0-2) unstable; urgency=medium

  * debian/control:
    - Upgraded to policy 4.7.2, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Sat, 01 Mar 2025 20:57:40 +0100
