## batctl 2025.3

=== debian/changelog ===
batctl (2025.3-1) unstable; urgency=medium

  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Fri, 05 Sep 2025 15:23:51 +0200
