=== debian/changelog ===
batctl (2025.4-1) unstable; urgency=medium

  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Sat, 25 Oct 2025 11:10:59 +0200
