## batctl 2025.5

=== debian/changelog ===
batctl (2025.5-1) unstable; urgency=medium

  * New Upstream Version
  * debian/watch:
    - Switch to version 5 format

 -- Sven Eckelmann <sven@narfation.org>  Sat, 20 Dec 2025 22:34:11 +0100
